| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IBillboardTextSceneNode Class Reference

A billboard text scene node. More...

`#include <IBillboardTextSceneNode.h>`

Inheritance diagram for irr::scene::IBillboardTextSceneNode:

List of all members.

## Public Member Functions

- IBillboardTextSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id, const core::vector3df &position=core::vector3df(0, 0, 0))
    Constructor.
- virtual void getColor (video::SColor &topColor, video::SColor &bottomColor) const =0
    Gets the color of the top and bottom vertices of the billboard.
- virtual const
  core::dimension2d< f32 > & getSize () const =0
    Returns the size of the billboard.
- virtual void setColor (const video::SColor &overallColor)=0
    Set the color of all vertices of the billboard.
- virtual void setColor (const video::SColor &topColor, const video::SColor &bottomColor)=0
    Set the color of the top and bottom vertices of the billboard.
- virtual void setSize (const core::dimension2d< f32 > &size)=0
    Sets the size of the billboard.
- virtual void setText (const wchar_t *text)=0
    sets the text string
- virtual void setTextColor (video::SColor color)=0
    sets the color of the text

## Detailed Description

A billboard text scene node.

Acts like a billboard which displays the currently set text. Due to the exclusion of RTTI in Irrlicht we have to avoid multiple inheritance. Hence, changes to the ITextSceneNode interface have to be copied here manually.

Definition at line 21 of file IBillboardTextSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IBillboardTextSceneNode::IBillboardTextSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id,
|  | const core::vector3df & | position = `core::vector3df(0,0,0)`
| ) |  | `[inline]`

Constructor.

Definition at line 26 of file IBillboardTextSceneNode.h.

## Member Function Documentation

virtual void irr::scene::IBillboardTextSceneNode::getColor | ( | video::SColor & | topColor,
|  | video::SColor & | bottomColor
| ) |  | const`[pure virtual]`

Gets the color of the top and bottom vertices of the billboard.

Parameters:

  topColor,: | stores the color of the top vertices
  bottomColor,: | stores the color of the bottom vertices

Implements irr::scene::IBillboardSceneNode.

virtual const core::dimension2d<f32>& irr::scene::IBillboardTextSceneNode::getSize | ( |  | ) | const`[pure virtual]`

Returns the size of the billboard.

Implements irr::scene::IBillboardSceneNode.

virtual void irr::scene::IBillboardTextSceneNode::setColor | ( | const video::SColor & | overallColor | ) | `[pure virtual]`

Set the color of all vertices of the billboard.

Parameters:

  overallColor,: | the color to set

Implements irr::scene::IBillboardSceneNode.

virtual void irr::scene::IBillboardTextSceneNode::setColor | ( | const video::SColor & | topColor,
|  | const video::SColor & | bottomColor
| ) |  | `[pure virtual]`

Set the color of the top and bottom vertices of the billboard.

Parameters:

  topColor,: | the color to set the top vertices
  bottomColor,: | the color to set the bottom vertices

Implements irr::scene::IBillboardSceneNode.

virtual void irr::scene::IBillboardTextSceneNode::setSize | ( | const core::dimension2d< f32 > & | size | ) | `[pure virtual]`

Sets the size of the billboard.

Implements irr::scene::IBillboardSceneNode.

virtual void irr::scene::IBillboardTextSceneNode::setText | ( | const wchar_t * | text | ) | `[pure virtual]`

sets the text string

virtual void irr::scene::IBillboardTextSceneNode::setTextColor | ( | video::SColor | color | ) | `[pure virtual]`

sets the color of the text

The documentation for this class was generated from the following file:

- IBillboardTextSceneNode.h